/*
 * JBoss, Home of Professional Open Source
 * Copyright 2014 Red Hat Inc. and/or its affiliates and other contributors
 * as indicated by the @authors tag. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.aesh.command.impl.parser;

/**
 * @author <a href="mailto:stale.pedersen@jboss.org">Ståle W. Pedersen</a>
 */
public class CompleteStatus {

    private Status status;
    private String value;

    public CompleteStatus(Status status, String value) {
        this.status = status;
        this.value = value;
    }

    public Status status() {
        return status;
    }

    public String value() {
        return value;
    }

    public enum Status {
        SHORT_OPTION,LONG_OPTION, COMPLETE_OPTION, OPTION_MISSING_VALUE, ARGUMENT, GROUP_COMMAND, APPEND_SPACE, INVALID_INPUT, ARGUMENT_ERROR
    }

    @Override
    public String toString() {
        return "CompleteStatus{" +
                "status=" + status +
                ", value='" + value + '\'' +
                '}';
    }
}
